attachMask-methods {xps} | R Documentation

## Attach/Remove Scheme Mask

### Description

Attach/remove scheme mask to/from `SchemeTreeSet` or to slot `scheme` of `DataTreeSet`.

### Usage

    attachMask(object)

    removeMask(object)

### Arguments

`object` | Object of class `"SchemeTreeSet"` or `"DataTreeSet"`.

### Details

`attachMask` exports mask from scheme tree from `ROOT` scheme file and and saves mask as data.frame `mask` of slot `scheme`.

`removeMask` removes mask from `SchemeTreeSet` or from slot `scheme` of `DataTreeSet` and replaces data.frame `mask` with an empty data.frame of dim(0,0).

### Value

A `DataTreeSet` object or `SchemeTreeSet`.

### Note

Do not use `attachMask` unless you know that your computer has sufficient RAM, especially for exon array schemes.

### Author(s)

Christian Stratowa

### See Also

`import.expr.scheme`, `import.exon.scheme`

### Examples

    ## load existing ROOT scheme file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    dim(chipMask(scheme.test3))

    scheme.test3 <- attachMask(scheme.test3)
    dim(chipMask(scheme.test3))
    head(chipMask(scheme.test3))

    scheme.test3 <- removeMask(scheme.test3)
    dim(chipMask(scheme.test3))

[Package xps version 1.2.10 Index]